Bug 501021 - networked applets don't handle wireless changes.
networked applets don't handle wireless changes.
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-applets (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-15 10:29 EDT by Dave Jones
Modified: 2015-01-04 17:30 EST (History)
2 users (show)

See Also:
Fixed In Version: 2.26.2-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-18 07:42:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Jones 2009-05-15 10:29:27 EDT
when I boot up and log into gnome, the weather and invest applets start up before the network manager applet does.  Which means 'before I have a network connection', as it hasn't associated with my access point at that point.

When the network comes up, the applets never realise. Clicking 'update' on them pops up errors about being unable to connect.

I have to open a shell, kill the applets, which makes them restart. Then they start working.

A similar problem occurs when I suspend/resume. When I resume, the apps are running, but the network isn't up yet, and the applets still seem to be 'stuck' trying to use old sockets or something.
Comment 1 Fedora Update System 2009-05-26 21:35:12 EDT
gnome-applets-2.26.1-4.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/gnome-applets-2.26.1-4.fc11
Comment 2 Fedora Update System 2009-05-28 04:16:54 EDT
gnome-applets-2.26.1-4.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gnome-applets'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-5642
Comment 3 Fedora Update System 2009-06-01 13:55:43 EDT
gnome-applets-2.26.2-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/gnome-applets-2.26.2-1.fc11
Comment 4 Fedora Update System 2009-06-04 17:09:20 EDT
gnome-applets-2.26.2-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gnome-applets'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-5825
Comment 5 Bug Zapper 2009-06-09 11:52:57 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Fedora Update System 2009-06-18 07:42:13 EDT
gnome-applets-2.26.2-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.